ClassFile (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile, interface: ClassFile
Keywords: java.lang.classfile.ClassFile interface

# Interface ClassFile

public sealed interface ClassFile
`ClassFile` is a preview API of the Java platform.
Programs can only use `ClassFile` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Represents a context for parsing, transforming, and generating classfiles. A `ClassFile` has a set of options that condition how parsing and generation is done.

Since:
  22

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `ClassFile.AttributeMapperOptionPREVIEW`
  Preview.
  Option describing attribute mappers for custom attributes.
  `static enum`
  `ClassFile.AttributesProcessingOptionPREVIEW`
  Preview.
  Option describing whether to process or discard unrecognized or problematic original attributes when a class, record component, field, method or code is transformed in its exploded form.
  `static interface`
  `ClassFile.ClassHierarchyResolverOptionPREVIEW`
  Preview.
  Option describing the class hierarchy resolver to use when generating stack maps.
  `static enum`
  `ClassFile.ConstantPoolSharingOptionPREVIEW`
  Preview.
  Option describing whether to preserve the original constant pool when transforming a classfile.
  `static enum`
  `ClassFile.DeadCodeOptionPREVIEW`
  Preview.
  Option describing whether to patch out unreachable code.
  `static enum`
  `ClassFile.DeadLabelsOptionPREVIEW`
  Preview.
  Option describing whether to filter unresolved labels.
  `static enum`
  `ClassFile.DebugElementsOptionPREVIEW`
  Preview.
  Option describing whether to process or discard debug elements.
  `static enum`
  `ClassFile.LineNumbersOptionPREVIEW`
  Preview.
  Option describing whether to process or discard line numbers.
  `static interface`
  `ClassFile.OptionPREVIEW`
  Preview.
  An option that affects the parsing and writing of classfiles.
  `static enum`
  `ClassFile.ShortJumpsOptionPREVIEW`
  Preview.
  Option describing whether to automatically rewrite short jumps to long when necessary.
  `static enum`
  `ClassFile.StackMapsOptionPREVIEW`
  Preview.
  Option describing whether to generate stackmaps.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AALOAD`
  The integer value used to encode the AALOAD instruction.
  `static final int`
  `AASTORE`
  The integer value used to encode the AASTORE instruction.
  `static final int`
  `ACC_ABSTRACT`
  The value of ABSTRACT access and property modifier.
  `static final int`
  `ACC_ANNOTATION`
  The value of ANNOTATION access and property modifier.
  `static final int`
  `ACC_BRIDGE`
  The value of BRIDGE access and property modifier.
  `static final int`
  `ACC_ENUM`
  The value of ENUM access and property modifier.
  `static final int`
  `ACC_FINAL`
  The value of FINAL access and property modifier.
  `static final int`
  `ACC_INTERFACE`
  The value of INTERFACE access and property modifier.
  `static final int`
  `ACC_MANDATED`
  The value of MANDATED access and property modifier.
  `static final int`
  `ACC_MODULE`
  The value of MODULE access and property modifier.
  `static final int`
  `ACC_NATIVE`
  The value of NATIVE access and property modifier.
  `static final int`
  `ACC_OPEN`
  The value of OPEN access and property modifier.
  `static final int`
  `ACC_PRIVATE`
  The value of PRIVATE access and property modifier.
  `static final int`
  `ACC_PROTECTED`
  The value of PROTECTED access and property modifier.
  `static final int`
  `ACC_PUBLIC`
  The value of PUBLIC access and property modifier.
  `static final int`
  `ACC_STATIC`
  The value of STATIC access and property modifier.
  `static final int`
  `ACC_STATIC_PHASE`
  The value of STATIC_PHASE access and property modifier.
  `static final int`
  `ACC_STRICT`
  The value of STRICT access and property modifier.
  `static final int`
  `ACC_SUPER`
  The value of SUPER access and property modifier.
  `static final int`
  `ACC_SYNCHRONIZED`
  The value of SYNCHRONIZED access and property modifier.
  `static final int`
  `ACC_SYNTHETIC`
  The value of SYNTHETIC access and property modifier.
  `static final int`
  `ACC_TRANSIENT`
  The value of TRANSIENT access and property modifier.
  `static final int`
  `ACC_TRANSITIVE`
  The value of TRANSITIVE access and property modifier.
  `static final int`
  `ACC_VARARGS`
  The value of VARARGS access and property modifier.
  `static final int`
  `ACC_VOLATILE`
  The value of VOLATILE access and property modifier.
  `static final int`
  `ACONST_NULL`
  The integer value used to encode the ACONST_NULL instruction.
  `static final int`
  `AEV_ANNOTATION`
  The value of annotation element value type AEV_ANNOTATION.
  `static final int`
  `AEV_ARRAY`
  The value of annotation element value type AEV_ARRAY.
  `static final int`
  `AEV_BOOLEAN`
  The value of annotation element value type AEV_BOOLEAN.
  `static final int`
  `AEV_BYTE`
  The value of annotation element value type AEV_BYTE.
  `static final int`
  `AEV_CHAR`
  The value of annotation element value type AEV_CHAR.
  `static final int`
  `AEV_CLASS`
  The value of annotation element value type AEV_CLASS.
  `static final int`
  `AEV_DOUBLE`
  The value of annotation element value type AEV_DOUBLE.
  `static final int`
  `AEV_ENUM`
  The value of annotation element value type AEV_ENUM.
  `static final int`
  `AEV_FLOAT`
  The value of annotation element value type AEV_FLOAT.
  `static final int`
  `AEV_INT`
  The value of annotation element value type AEV_INT.
  `static final int`
  `AEV_LONG`
  The value of annotation element value type AEV_LONG.
  `static final int`
  `AEV_SHORT`
  The value of annotation element value type AEV_SHORT.
  `static final int`
  `AEV_STRING`
  The value of annotation element value type AEV_STRING.
  `static final int`
  `ALOAD`
  The integer value used to encode the ALOAD instruction.
  `static final int`
  `ALOAD_0`
  The integer value used to encode the ALOAD_0 instruction.
  `static final int`
  `ALOAD_1`
  The integer value used to encode the ALOAD_1 instruction.
  `static final int`
  `ALOAD_2`
  The integer value used to encode the ALOAD_2 instruction.
  `static final int`
  `ALOAD_3`
  The integer value used to encode the ALOAD_3 instruction.
  `static final int`
  `ANEWARRAY`
  The integer value used to encode the ANEWARRAY instruction.
  `static final int`
  `ARETURN`
  The integer value used to encode the ARETURN instruction.
  `static final int`
  `ARRAYLENGTH`
  The integer value used to encode the ARRAYLENGTH instruction.
  `static final int`
  `ASTORE`
  The integer value used to encode the ASTORE instruction.
  `static final int`
  `ASTORE_0`
  The integer value used to encode the ASTORE_0 instruction.
  `static final int`
  `ASTORE_1`
  The integer value used to encode the ASTORE_1 instruction.
  `static final int`
  `ASTORE_2`
  The integer value used to encode the ASTORE_2 instruction.
  `static final int`
  `ASTORE_3`
  The integer value used to encode the ASTORE_3 instruction.
  `static final int`
  `ATHROW`
  The integer value used to encode the ATHROW instruction.
  `static final int`
  `BALOAD`
  The integer value used to encode the BALOAD instruction.
  `static final int`
  `BASTORE`
  The integer value used to encode the BASTORE instruction.
  `static final int`
  `BIPUSH`
  The integer value used to encode the BIPUSH instruction.
  `static final int`
  `CALOAD`
  The integer value used to encode the CALOAD instruction.
  `static final int`
  `CASTORE`
  The integer value used to encode the CASTORE instruction.
  `static final int`
  `CHECKCAST`
  The integer value used to encode the CHECKCAST instruction.
  `static final int`
  `CRT_ASSIGNMENT`
  The value of ASSIGNMENT `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_BLOCK`
  The value of BLOCK `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_BRANCH_FALSE`
  The value of BRANCH_FALSE `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_BRANCH_TRUE`
  The value of BRANCH_TRUE `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_CREATE`
  The value of CREATE `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_FLOW_CONTROLLER`
  The value of FLOW_CONTROLLER `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_FLOW_TARGET`
  The value of FLOW_TARGET `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_INVOKE`
  The value of INVOKE `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `CRT_STATEMENT`
  The value of STATEMENT `CharacterRangeInfo`PREVIEW kind.
  `static final int`
  `D2F`
  The integer value used to encode the D2F instruction.
  `static final int`
  `D2I`
  The integer value used to encode the D2I instruction.
  `static final int`
  `D2L`
  The integer value used to encode the D2L instruction.
  `static final int`
  `DADD`
  The integer value used to encode the DADD instruction.
  `static final int`
  `DALOAD`
  The integer value used to encode the DALOAD instruction.
  `static final int`
  `DASTORE`
  The integer value used to encode the DASTORE instruction.
  `static final int`
  `DCMPG`
  The integer value used to encode the DCMPG instruction.
  `static final int`
  `DCMPL`
  The integer value used to encode the DCMPL instruction.
  `static final int`
  `DCONST_0`
  The integer value used to encode the DCONST_0 instruction.
  `static final int`
  `DCONST_1`
  The integer value used to encode the DCONST_1 instruction.
  `static final int`
  `DDIV`
  The integer value used to encode the DDIV instruction.
  `static final int`
  `DEFAULT_CLASS_FLAGS`
  The value of default class access flags
  `static final int`
  `DLOAD`
  The integer value used to encode the DLOAD instruction.
  `static final int`
  `DLOAD_0`
  The integer value used to encode the DLOAD_0 instruction.
  `static final int`
  `DLOAD_1`
  The integer value used to encode the DLOAD_1 instruction.
  `static final int`
  `DLOAD_2`
  The integer value used to encode the DLOAD_2 instruction.
  `static final int`
  `DLOAD_3`
  The integer value used to encode the DLOAD_3 instruction.
  `static final int`
  `DMUL`
  The integer value used to encode the DMUL instruction.
  `static final int`
  `DNEG`
  The integer value used to encode the DNEG instruction.
  `static final int`
  `DREM`
  The integer value used to encode the DREM instruction.
  `static final int`
  `DRETURN`
  The integer value used to encode the DRETURN instruction.
  `static final int`
  `DSTORE`
  The integer value used to encode the DSTORE instruction.
  `static final int`
  `DSTORE_0`
  The integer value used to encode the DSTORE_0 instruction.
  `static final int`
  `DSTORE_1`
  The integer value used to encode the DSTORE_1 instruction.
  `static final int`
  `DSTORE_2`
  The integer value used to encode the DSTORE_2 instruction.
  `static final int`
  `DSTORE_3`
  The integer value used to encode the DSTORE_3 instruction.
  `static final int`
  `DSUB`
  The integer value used to encode the DSUB instruction.
  `static final int`
  `DUP`
  The integer value used to encode the DUP instruction.
  `static final int`
  `DUP_X1`
  The integer value used to encode the DUP_X1 instruction.
  `static final int`
  `DUP_X2`
  The integer value used to encode the DUP_X2 instruction.
  `static final int`
  `DUP2`
  The integer value used to encode the DUP2 instruction.
  `static final int`
  `DUP2_X1`
  The integer value used to encode the DUP2_X1 instruction.
  `static final int`
  `DUP2_X2`
  The integer value used to encode the DUP2_X2 instruction.
  `static final int`
  `F2D`
  The integer value used to encode the F2D instruction.
  `static final int`
  `F2I`
  The integer value used to encode the F2I instruction.
  `static final int`
  `F2L`
  The integer value used to encode the F2L instruction.
  `static final int`
  `FADD`
  The integer value used to encode the FADD instruction.
  `static final int`
  `FALOAD`
  The integer value used to encode the FALOAD instruction.
  `static final int`
  `FASTORE`
  The integer value used to encode the FASTORE instruction.
  `static final int`
  `FCMPG`
  The integer value used to encode the FCMPG instruction.
  `static final int`
  `FCMPL`
  The integer value used to encode the FCMPL instruction.
  `static final int`
  `FCONST_0`
  The integer value used to encode the FCONST_0 instruction.
  `static final int`
  `FCONST_1`
  The integer value used to encode the FCONST_1 instruction.
  `static final int`
  `FCONST_2`
  The integer value used to encode the FCONST_2 instruction.
  `static final int`
  `FDIV`
  The integer value used to encode the FDIV instruction.
  `static final int`
  `FLOAD`
  The integer value used to encode the FLOAD instruction.
  `static final int`
  `FLOAD_0`
  The integer value used to encode the FLOAD_0 instruction.
  `static final int`
  `FLOAD_1`
  The integer value used to encode the FLOAD_1 instruction.
  `static final int`
  `FLOAD_2`
  The integer value used to encode the FLOAD_2 instruction.
  `static final int`
  `FLOAD_3`
  The integer value used to encode the FLOAD_3 instruction.
  `static final int`
  `FMUL`
  The integer value used to encode the FMUL instruction.
  `static final int`
  `FNEG`
  The integer value used to encode the FNEG instruction.
  `static final int`
  `FREM`
  The integer value used to encode the FREM instruction.
  `static final int`
  `FRETURN`
  The integer value used to encode the FRETURN instruction.
  `static final int`
  `FSTORE`
  The integer value used to encode the FSTORE instruction.
  `static final int`
  `FSTORE_0`
  The integer value used to encode the FSTORE_0 instruction.
  `static final int`
  `FSTORE_1`
  The integer value used to encode the FSTORE_1 instruction.
  `static final int`
  `FSTORE_2`
  The integer value used to encode the FSTORE_2 instruction.
  `static final int`
  `FSTORE_3`
  The integer value used to encode the FSTORE_3 instruction.
  `static final int`
  `FSUB`
  The integer value used to encode the FSUB instruction.
  `static final int`
  `GETFIELD`
  The integer value used to encode the GETFIELD instruction.
  `static final int`
  `GETSTATIC`
  The integer value used to encode the GETSTATIC instruction.
  `static final int`
  `GOTO`
  The integer value used to encode the GOTO instruction.
  `static final int`
  `GOTO_W`
  The integer value used to encode the GOTO_W instruction.
  `static final int`
  `I2B`
  The integer value used to encode the I2B instruction.
  `static final int`
  `I2C`
  The integer value used to encode the I2C instruction.
  `static final int`
  `I2D`
  The integer value used to encode the I2D instruction.
  `static final int`
  `I2F`
  The integer value used to encode the I2F instruction.
  `static final int`
  `I2L`
  The integer value used to encode the I2L instruction.
  `static final int`
  `I2S`
  The integer value used to encode the I2S instruction.
  `static final int`
  `IADD`
  The integer value used to encode the IADD instruction.
  `static final int`
  `IALOAD`
  The integer value used to encode the IALOAD instruction.
  `static final int`
  `IAND`
  The integer value used to encode the IAND instruction.
  `static final int`
  `IASTORE`
  The integer value used to encode the IASTORE instruction.
  `static final int`
  `ICONST_0`
  The integer value used to encode the ICONST_0 instruction.
  `static final int`
  `ICONST_1`
  The integer value used to encode the ICONST_1 instruction.
  `static final int`
  `ICONST_2`
  The integer value used to encode the ICONST_2 instruction.
  `static final int`
  `ICONST_3`
  The integer value used to encode the ICONST_3 instruction.
  `static final int`
  `ICONST_4`
  The integer value used to encode the ICONST_4 instruction.
  `static final int`
  `ICONST_5`
  The integer value used to encode the ICONST_5 instruction.
  `static final int`
  `ICONST_M1`
  The integer value used to encode the ICONST_M1 instruction.
  `static final int`
  `IDIV`
  The integer value used to encode the IDIV instruction.
  `static final int`
  `IF_ACMPEQ`
  The integer value used to encode the IF_ACMPEQ instruction.
  `static final int`
  `IF_ACMPNE`
  The integer value used to encode the IF_ACMPNE instruction.
  `static final int`
  `IF_ICMPEQ`
  The integer value used to encode the IF_ICMPEQ instruction.
  `static final int`
  `IF_ICMPGE`
  The integer value used to encode the IF_ICMPGE instruction.
  `static final int`
  `IF_ICMPGT`
  The integer value used to encode the IF_ICMPGT instruction.
  `static final int`
  `IF_ICMPLE`
  The integer value used to encode the IF_ICMPLE instruction.
  `static final int`
  `IF_ICMPLT`
  The integer value used to encode the IF_ICMPLT instruction.
  `static final int`
  `IF_ICMPNE`
  The integer value used to encode the IF_ICMPNE instruction.
  `static final int`
  `IFEQ`
  The integer value used to encode the IFEQ instruction.
  `static final int`
  `IFGE`
  The integer value used to encode the IFGE instruction.
  `static final int`
  `IFGT`
  The integer value used to encode the IFGT instruction.
  `static final int`
  `IFLE`
  The integer value used to encode the IFLE instruction.
  `static final int`
  `IFLT`
  The integer value used to encode the IFLT instruction.
  `static final int`
  `IFNE`
  The integer value used to encode the IFNE instruction.
  `static final int`
  `IFNONNULL`
  The integer value used to encode the IFNONNULL instruction.
  `static final int`
  `IFNULL`
  The integer value used to encode the IFNULL instruction.
  `static final int`
  `IINC`
  The integer value used to encode the IINC instruction.
  `static final int`
  `ILOAD`
  The integer value used to encode the ILOAD instruction.
  `static final int`
  `ILOAD_0`
  The integer value used to encode the ILOAD_0 instruction.
  `static final int`
  `ILOAD_1`
  The integer value used to encode the ILOAD_1 instruction.
  `static final int`
  `ILOAD_2`
  The integer value used to encode the ILOAD_2 instruction.
  `static final int`
  `ILOAD_3`
  The integer value used to encode the ILOAD_3 instruction.
  `static final int`
  `IMUL`
  The integer value used to encode the IMUL instruction.
  `static final int`
  `INEG`
  The integer value used to encode the INEG instruction.
  `static final int`
  `INSTANCEOF`
  The integer value used to encode the INSTANCEOF instruction.
  `static final int`
  `INVOKEDYNAMIC`
  The integer value used to encode the INVOKEDYNAMIC instruction.
  `static final int`
  `INVOKEINTERFACE`
  The integer value used to encode the INVOKEINTERFACE instruction.
  `static final int`
  `INVOKESPECIAL`
  The integer value used to encode the INVOKESPECIAL instruction.
  `static final int`
  `INVOKESTATIC`
  The integer value used to encode the INVOKESTATIC instruction.
  `static final int`
  `INVOKEVIRTUAL`
  The integer value used to encode the INVOKEVIRTUAL instruction.
  `static final int`
  `IOR`
  The integer value used to encode the IOR instruction.
  `static final int`
  `IREM`
  The integer value used to encode the IREM instruction.
  `static final int`
  `IRETURN`
  The integer value used to encode the IRETURN instruction.
  `static final int`
  `ISHL`
  The integer value used to encode the ISHL instruction.
  `static final int`
  `ISHR`
  The integer value used to encode the ISHR instruction.
  `static final int`
  `ISTORE`
  The integer value used to encode the ISTORE instruction.
  `static final int`
  `ISTORE_0`
  The integer value used to encode the ISTORE_0 instruction.
  `static final int`
  `ISTORE_1`
  The integer value used to encode the ISTORE_1 instruction.
  `static final int`
  `ISTORE_2`
  The integer value used to encode the ISTORE_2 instruction.
  `static final int`
  `ISTORE_3`
  The integer value used to encode the ISTORE_3 instruction.
  `static final int`
  `ISUB`
  The integer value used to encode the ISUB instruction.
  `static final int`
  `IUSHR`
  The integer value used to encode the IUSHR instruction.
  `static final int`
  `IXOR`
  The integer value used to encode the IXOR instruction.
  `static final int`
  `JAVA_1_VERSION`
  The class major version of JAVA_1.
  `static final int`
  `JAVA_10_VERSION`
  The class major version of JAVA_10.
  `static final int`
  `JAVA_11_VERSION`
  The class major version of JAVA_11.
  `static final int`
  `JAVA_12_VERSION`
  The class major version of JAVA_12.
  `static final int`
  `JAVA_13_VERSION`
  The class major version of JAVA_13.
  `static final int`
  `JAVA_14_VERSION`
  The class major version of JAVA_14.
  `static final int`
  `JAVA_15_VERSION`
  The class major version of JAVA_15.
  `static final int`
  `JAVA_16_VERSION`
  The class major version of JAVA_16.
  `static final int`
  `JAVA_17_VERSION`
  The class major version of JAVA_17.
  `static final int`
  `JAVA_18_VERSION`
  The class major version of JAVA_18.
  `static final int`
  `JAVA_19_VERSION`
  The class major version of JAVA_19.
  `static final int`
  `JAVA_2_VERSION`
  The class major version of JAVA_2.
  `static final int`
  `JAVA_20_VERSION`
  The class major version of JAVA_20.
  `static final int`
  `JAVA_21_VERSION`
  The class major version of JAVA_21.
  `static final int`
  `JAVA_22_VERSION`
  The class major version of JAVA_22.
  `static final int`
  `JAVA_23_VERSION`
  The class major version of JAVA_23.
  `static final int`
  `JAVA_3_VERSION`
  The class major version of JAVA_3.
  `static final int`
  `JAVA_4_VERSION`
  The class major version of JAVA_4.
  `static final int`
  `JAVA_5_VERSION`
  The class major version of JAVA_5.
  `static final int`
  `JAVA_6_VERSION`
  The class major version of JAVA_6.
  `static final int`
  `JAVA_7_VERSION`
  The class major version of JAVA_7.
  `static final int`
  `JAVA_8_VERSION`
  The class major version of JAVA_8.
  `static final int`
  `JAVA_9_VERSION`
  The class major version of JAVA_9.
  `static final int`
  `JSR`
  The integer value used to encode the JSR instruction.
  `static final int`
  `JSR_W`
  The integer value used to encode the JSR_W instruction.
  `static final int`
  `L2D`
  The integer value used to encode the L2D instruction.
  `static final int`
  `L2F`
  The integer value used to encode the L2F instruction.
  `static final int`
  `L2I`
  The integer value used to encode the L2I instruction.
  `static final int`
  `LADD`
  The integer value used to encode the LADD instruction.
  `static final int`
  `LALOAD`
  The integer value used to encode the LALOAD instruction.
  `static final int`
  `LAND`
  The integer value used to encode the LAND instruction.
  `static final int`
  `LASTORE`
  The integer value used to encode the LASTORE instruction.
  `static final int`
  `LCMP`
  The integer value used to encode the LCMP instruction.
  `static final int`
  `LCONST_0`
  The integer value used to encode the LCONST_0 instruction.
  `static final int`
  `LCONST_1`
  The integer value used to encode the LCONST_1 instruction.
  `static final int`
  `LDC`
  The integer value used to encode the LDC instruction.
  `static final int`
  `LDC_W`
  The integer value used to encode the LDC_W instruction.
  `static final int`
  `LDC2_W`
  The integer value used to encode the LDC2_W instruction.
  `static final int`
  `LDIV`
  The integer value used to encode the LDIV instruction.
  `static final int`
  `LLOAD`
  The integer value used to encode the LLOAD instruction.
  `static final int`
  `LLOAD_0`
  The integer value used to encode the LLOAD_0 instruction.
  `static final int`
  `LLOAD_1`
  The integer value used to encode the LLOAD_1 instruction.
  `static final int`
  `LLOAD_2`
  The integer value used to encode the LLOAD_2 instruction.
  `static final int`
  `LLOAD_3`
  The integer value used to encode the LLOAD_3 instruction.
  `static final int`
  `LMUL`
  The integer value used to encode the LMUL instruction.
  `static final int`
  `LNEG`
  The integer value used to encode the LNEG instruction.
  `static final int`
  `LOOKUPSWITCH`
  The integer value used to encode the LOOKUPSWITCH instruction.
  `static final int`
  `LOR`
  The integer value used to encode the LOR instruction.
  `static final int`
  `LREM`
  The integer value used to encode the LREM instruction.
  `static final int`
  `LRETURN`
  The integer value used to encode the LRETURN instruction.
  `static final int`
  `LSHL`
  The integer value used to encode the LSHL instruction.
  `static final int`
  `LSHR`
  The integer value used to encode the LSHR instruction.
  `static final int`
  `LSTORE`
  The integer value used to encode the LSTORE instruction.
  `static final int`
  `LSTORE_0`
  The integer value used to encode the LSTORE_0 instruction.
  `static final int`
  `LSTORE_1`
  The integer value used to encode the LSTORE_1 instruction.
  `static final int`
  `LSTORE_2`
  The integer value used to encode the LSTORE_2 instruction.
  `static final int`
  `LSTORE_3`
  The integer value used to encode the LSTORE_3 instruction.
  `static final int`
  `LSUB`
  The integer value used to encode the LSUB instruction.
  `static final int`
  `LUSHR`
  The integer value used to encode the LUSHR instruction.
  `static final int`
  `LXOR`
  The integer value used to encode the LXOR instruction.
  `static final int`
  `MAGIC_NUMBER`
  0xCAFEBABE
  `static final int`
  `MONITORENTER`
  The integer value used to encode the MONITORENTER instruction.
  `static final int`
  `MONITOREXIT`
  The integer value used to encode the MONITOREXIT instruction.
  `static final int`
  `MULTIANEWARRAY`
  The integer value used to encode the MULTIANEWARRAY instruction.
  `static final int`
  `NEW`
  The integer value used to encode the NEW instruction.
  `static final int`
  `NEWARRAY`
  The integer value used to encode the NEWARRAY instruction.
  `static final int`
  `NOP`
  The integer value used to encode the NOP instruction.
  `static final int`
  `POP`
  The integer value used to encode the POP instruction.
  `static final int`
  `POP2`
  The integer value used to encode the POP2 instruction.
  `static final int`
  `PREVIEW_MINOR_VERSION`
  A minor version number indicating a class uses preview features of a Java SE version since 12, for major versions 56 and above.
  `static final int`
  `PUTFIELD`
  The integer value used to encode the PUTFIELD instruction.
  `static final int`
  `PUTSTATIC`
  The integer value used to encode the PUTSTATIC instruction.
  `static final int`
  `RET`
  The integer value used to encode the RET instruction.
  `static final int`
  `RETURN`
  The integer value used to encode the RETURN instruction.
  `static final int`
  `SALOAD`
  The integer value used to encode the SALOAD instruction.
  `static final int`
  `SASTORE`
  The integer value used to encode the SASTORE instruction.
  `static final int`
  `SIPUSH`
  The integer value used to encode the SIPUSH instruction.
  `static final int`
  `SWAP`
  The integer value used to encode the SWAP instruction.
  `static final int`
  `TABLESWITCH`
  The integer value used to encode the TABLESWITCH instruction.
  `static final int`
  `TAG_CLASS`
  The value of constant pool tag CLASS.
  `static final int`
  `TAG_CONSTANTDYNAMIC`
  The value of constant pool tag CONSTANTDYNAMIC.
  `static final int`
  `TAG_DOUBLE`
  The value of constant pool tag DOUBLE.
  `static final int`
  `TAG_FIELDREF`
  The value of constant pool tag FIELDREF.
  `static final int`
  `TAG_FLOAT`
  The value of constant pool tag FLOAT.
  `static final int`
  `TAG_INTEGER`
  The value of constant pool tag INTEGER.
  `static final int`
  `TAG_INTERFACEMETHODREF`
  The value of constant pool tag INTERFACEMETHODREF.
  `static final int`
  `TAG_INVOKEDYNAMIC`
  The value of constant pool tag INVOKEDYNAMIC.
  `static final int`
  `TAG_LONG`
  The value of constant pool tag LONG.
  `static final int`
  `TAG_METHODHANDLE`
  The value of constant pool tag METHODHANDLE.
  `static final int`
  `TAG_METHODREF`
  The value of constant pool tag METHODREF.
  `static final int`
  `TAG_METHODTYPE`
  The value of constant pool tag METHODTYPE.
  `static final int`
  `TAG_MODULE`
  The value of constant pool tag MODULE.
  `static final int`
  `TAG_NAMEANDTYPE`
  The value of constant pool tag NAMEANDTYPE.
  `static final int`
  `TAG_PACKAGE`
  The value of constant pool tag PACKAGE.
  `static final int`
  `TAG_STRING`
  The value of constant pool tag STRING.
  `static final int`
  `TAG_UNICODE`
  The value of constant pool tag UNICODE.
  `static final int`
  `TAG_UTF8`
  The value of constant pool tag UTF8.
  `static final int`
  `TAT_CAST`
  The value of type annotation target type CAST.
  `static final int`
  `TAT_CLASS_EXTENDS`
  The value of type annotation target type CLASS_EXTENDS.
  `static final int`
  `TAT_CLASS_TYPE_PARAMETER`
  The value of type annotation target type CLASS_TYPE_PARAMETER.
  `static final int`
  `TAT_CLASS_TYPE_PARAMETER_BOUND`
  The value of type annotation target type CLASS_TYPE_PARAMETER_BOUND.
  `static final int`
  `TAT_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT`
  The value of type annotation target type CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT.
  `static final int`
  `TAT_CONSTRUCTOR_REFERENCE`
  The value of type annotation target type CONSTRUCTOR_REFERENCE.
  `static final int`
  `TAT_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT`
  The value of type annotation target type CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT.
  `static final int`
  `TAT_EXCEPTION_PARAMETER`
  The value of type annotation target type EXCEPTION_PARAMETER.
  `static final int`
  `TAT_FIELD`
  The value of type annotation target type FIELD.
  `static final int`
  `TAT_INSTANCEOF`
  The value of type annotation target type INSTANCEOF.
  `static final int`
  `TAT_LOCAL_VARIABLE`
  The value of type annotation target type LOCAL_VARIABLE.
  `static final int`
  `TAT_METHOD_FORMAL_PARAMETER`
  The value of type annotation target type METHOD_FORMAL_PARAMETER.
  `static final int`
  `TAT_METHOD_INVOCATION_TYPE_ARGUMENT`
  The value of type annotation target type METHOD_INVOCATION_TYPE_ARGUMENT.
  `static final int`
  `TAT_METHOD_RECEIVER`
  The value of type annotation target type METHOD_RECEIVER.
  `static final int`
  `TAT_METHOD_REFERENCE`
  The value of type annotation target type METHOD_REFERENCE.
  `static final int`
  `TAT_METHOD_REFERENCE_TYPE_ARGUMENT`
  The value of type annotation target type METHOD_REFERENCE_TYPE_ARGUMENT.
  `static final int`
  `TAT_METHOD_RETURN`
  The value of type annotation target type METHOD_RETURN.
  `static final int`
  `TAT_METHOD_TYPE_PARAMETER`
  The value of type annotation target type METHOD_TYPE_PARAMETER.
  `static final int`
  `TAT_METHOD_TYPE_PARAMETER_BOUND`
  The value of type annotation target type METHOD_TYPE_PARAMETER_BOUND.
  `static final int`
  `TAT_NEW`
  The value of type annotation target type NEW.
  `static final int`
  `TAT_RESOURCE_VARIABLE`
  The value of type annotation target type RESOURCE_VARIABLE.
  `static final int`
  `TAT_THROWS`
  The value of type annotation target type THROWS.
  `static final int`
  `VT_DOUBLE`
  The value of verification type DOUBLE.
  `static final int`
  `VT_FLOAT`
  The value of verification type FLOAT.
  `static final int`
  `VT_INTEGER`
  The value of verification type INTEGER.
  `static final int`
  `VT_LONG`
  The value of verification type LONG.
  `static final int`
  `VT_NULL`
  The value of verification type NULL.
  `static final int`
  `VT_OBJECT`
  The value of verification type OBJECT.
  `static final int`
  `VT_TOP`
  The value of verification type TOP.
  `static final int`
  `VT_UNINITIALIZED`
  The value of verification type UNINITIALIZED.
  `static final int`
  `VT_UNINITIALIZED_THIS`
  The value of verification type UNINITIALIZED_THIS.
  `static final int`
  `WIDE`
  The integer value used to encode the WIDE instruction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `build(ClassEntryPREVIEW thisClassEntry, ConstantPoolBuilderPREVIEW constantPool, Consumer<? super ClassBuilderPREVIEW> handler)`
  Build a classfile into a byte array using the provided constant pool builder.
  `default byte[]`
  `build(ClassDesc thisClass, Consumer<? super ClassBuilderPREVIEW> handler)`
  Build a classfile into a byte array.
  `default byte[]`
  `buildModule(ModuleAttributePREVIEW moduleAttribute)`
  Build a module descriptor into a byte array.
  `default byte[]`
  `buildModule(ModuleAttributePREVIEW moduleAttribute, Consumer<? super ClassBuilderPREVIEW> handler)`
  Build a module descriptor into a byte array.
  `default void`
  `buildModuleTo(Path path, ModuleAttributePREVIEW moduleAttribute)`
  Build a module descriptor into a file.
  `default void`
  `buildModuleTo(Path path, ModuleAttributePREVIEW moduleAttribute, Consumer<? super ClassBuilderPREVIEW> handler)`
  Build a module descriptor into a file.
  `default void`
  `buildTo(Path path, ClassEntryPREVIEW thisClassEntry, ConstantPoolBuilderPREVIEW constantPool, Consumer<? super ClassBuilderPREVIEW> handler)`
  Build a classfile into a file using the provided constant pool builder.
  `default void`
  `buildTo(Path path, ClassDesc thisClass, Consumer<ClassBuilderPREVIEW> handler)`
  Build a classfile into a file.
  `static int`
  `latestMajorVersion()`
  Returns the latest major Java version.
  `static int`
  `latestMinorVersion()`
  Returns the latest minor Java version.
  `static ClassFilePREVIEW`
  `of()`
  Returns a context with default options.
  `static ClassFilePREVIEW`
  `of(ClassFile.OptionPREVIEW... options)`
  Returns a new context with options altered from the default.
  `ClassModelPREVIEW`
  `parse(byte[] bytes)`
  Parse a classfile into a `ClassModel`PREVIEW.
  `default ClassModelPREVIEW`
  `parse(Path path)`
  Parse a classfile into a `ClassModel`PREVIEW.
  `default byte[]`
  `transform(ClassModelPREVIEW model, ClassTransformPREVIEW transform)`
  Transform one classfile into a new classfile with the aid of a `ClassTransform`PREVIEW.
  `byte[]`
  `transform(ClassModelPREVIEW model, ClassEntryPREVIEW newClassName, ClassTransformPREVIEW transform)`
  Transform one classfile into a new classfile with the aid of a `ClassTransform`PREVIEW.
  `default byte[]`
  `transform(ClassModelPREVIEW model, ClassDesc newClassName, ClassTransformPREVIEW transform)`
  Transform one classfile into a new classfile with the aid of a `ClassTransform`PREVIEW.
  `List<VerifyError>`
  `verify(byte[] bytes)`
  Verify a classfile.
  `List<VerifyError>`
  `verify(ClassModelPREVIEW model)`
  Verify a classfile.
  `default List<VerifyError>`
  `verify(Path path)`
  Verify a classfile.
  `ClassFilePREVIEW`
  `withOptions(ClassFile.OptionPREVIEW... options)`
  Returns a copy of the context with altered options.

- ## Field Details

  - ### MAGIC_NUMBER

    static final int MAGIC_NUMBER
    0xCAFEBABE
    See Also:
      - Constant Field Values

  - ### NOP

    static final int NOP
    The integer value used to encode the NOP instruction.
    See Also:
      - Constant Field Values

  - ### ACONST_NULL

    static final int ACONST_NULL
    The integer value used to encode the ACONST_NULL instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_M1

    static final int ICONST_M1
    The integer value used to encode the ICONST_M1 instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_0

    static final int ICONST_0
    The integer value used to encode the ICONST_0 instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_1

    static final int ICONST_1
    The integer value used to encode the ICONST_1 instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_2

    static final int ICONST_2
    The integer value used to encode the ICONST_2 instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_3

    static final int ICONST_3
    The integer value used to encode the ICONST_3 instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_4

    static final int ICONST_4
    The integer value used to encode the ICONST_4 instruction.
    See Also:
      - Constant Field Values

  - ### ICONST_5

    static final int ICONST_5
    The integer value used to encode the ICONST_5 instruction.
    See Also:
      - Constant Field Values

  - ### LCONST_0

    static final int LCONST_0
    The integer value used to encode the LCONST_0 instruction.
    See Also:
      - Constant Field Values

  - ### LCONST_1

    static final int LCONST_1
    The integer value used to encode the LCONST_1 instruction.
    See Also:
      - Constant Field Values

  - ### FCONST_0

    static final int FCONST_0
    The integer value used to encode the FCONST_0 instruction.
    See Also:
      - Constant Field Values

  - ### FCONST_1

    static final int FCONST_1
    The integer value used to encode the FCONST_1 instruction.
    See Also:
      - Constant Field Values

  - ### FCONST_2

    static final int FCONST_2
    The integer value used to encode the FCONST_2 instruction.
    See Also:
      - Constant Field Values

  - ### DCONST_0

    static final int DCONST_0
    The integer value used to encode the DCONST_0 instruction.
    See Also:
      - Constant Field Values

  - ### DCONST_1

    static final int DCONST_1
    The integer value used to encode the DCONST_1 instruction.
    See Also:
      - Constant Field Values

  - ### BIPUSH

    static final int BIPUSH
    The integer value used to encode the BIPUSH instruction.
    See Also:
      - Constant Field Values

  - ### SIPUSH

    static final int SIPUSH
    The integer value used to encode the SIPUSH instruction.
    See Also:
      - Constant Field Values

  - ### LDC

    static final int LDC
    The integer value used to encode the LDC instruction.
    See Also:
      - Constant Field Values

  - ### LDC_W

    static final int LDC_W
    The integer value used to encode the LDC_W instruction.
    See Also:
      - Constant Field Values

  - ### LDC2_W

    static final int LDC2_W
    The integer value used to encode the LDC2_W instruction.
    See Also:
      - Constant Field Values

  - ### ILOAD

    static final int ILOAD
    The integer value used to encode the ILOAD instruction.
    See Also:
      - Constant Field Values

  - ### LLOAD

    static final int LLOAD
    The integer value used to encode the LLOAD instruction.
    See Also:
      - Constant Field Values

  - ### FLOAD

    static final int FLOAD
    The integer value used to encode the FLOAD instruction.
    See Also:
      - Constant Field Values

  - ### DLOAD

    static final int DLOAD
    The integer value used to encode the DLOAD instruction.
    See Also:
      - Constant Field Values

  - ### ALOAD

    static final int ALOAD
    The integer value used to encode the ALOAD instruction.
    See Also:
      - Constant Field Values

  - ### ILOAD_0

    static final int ILOAD_0
    The integer value used to encode the ILOAD_0 instruction.
    See Also:
      - Constant Field Values

  - ### ILOAD_1

    static final int ILOAD_1
    The integer value used to encode the ILOAD_1 instruction.
    See Also:
      - Constant Field Values

  - ### ILOAD_2

    static final int ILOAD_2
    The integer value used to encode the ILOAD_2 instruction.
    See Also:
      - Constant Field Values

  - ### ILOAD_3

    static final int ILOAD_3
    The integer value used to encode the ILOAD_3 instruction.
    See Also:
      - Constant Field Values

  - ### LLOAD_0

    static final int LLOAD_0
    The integer value used to encode the LLOAD_0 instruction.
    See Also:
      - Constant Field Values

  - ### LLOAD_1

    static final int LLOAD_1
    The integer value used to encode the LLOAD_1 instruction.
    See Also:
      - Constant Field Values

  - ### LLOAD_2

    static final int LLOAD_2
    The integer value used to encode the LLOAD_2 instruction.
    See Also:
      - Constant Field Values

  - ### LLOAD_3

    static final int LLOAD_3
    The integer value used to encode the LLOAD_3 instruction.
    See Also:
      - Constant Field Values

  - ### FLOAD_0

    static final int FLOAD_0
    The integer value used to encode the FLOAD_0 instruction.
    See Also:
      - Constant Field Values

  - ### FLOAD_1

    static final int FLOAD_1
    The integer value used to encode the FLOAD_1 instruction.
    See Also:
      - Constant Field Values

  - ### FLOAD_2

    static final int FLOAD_2
    The integer value used to encode the FLOAD_2 instruction.
    See Also:
      - Constant Field Values

  - ### FLOAD_3

    static final int FLOAD_3
    The integer value used to encode the FLOAD_3 instruction.
    See Also:
      - Constant Field Values

  - ### DLOAD_0

    static final int DLOAD_0
    The integer value used to encode the DLOAD_0 instruction.
    See Also:
      - Constant Field Values

  - ### DLOAD_1

    static final int DLOAD_1
    The integer value used to encode the DLOAD_1 instruction.
    See Also:
      - Constant Field Values

  - ### DLOAD_2

    static final int DLOAD_2
    The integer value used to encode the DLOAD_2 instruction.
    See Also:
      - Constant Field Values

  - ### DLOAD_3

    static final int DLOAD_3
    The integer value used to encode the DLOAD_3 instruction.
    See Also:
      - Constant Field Values

  - ### ALOAD_0

    static final int ALOAD_0
    The integer value used to encode the ALOAD_0 instruction.
    See Also:
      - Constant Field Values

  - ### ALOAD_1

    static final int ALOAD_1
    The integer value used to encode the ALOAD_1 instruction.
    See Also:
      - Constant Field Values

  - ### ALOAD_2

    static final int ALOAD_2
    The integer value used to encode the ALOAD_2 instruction.
    See Also:
      - Constant Field Values

  - ### ALOAD_3

    static final int ALOAD_3
    The integer value used to encode the ALOAD_3 instruction.
    See Also:
      - Constant Field Values

  - ### IALOAD

    static final int IALOAD
    The integer value used to encode the IALOAD instruction.
    See Also:
      - Constant Field Values

  - ### LALOAD

    static final int LALOAD
    The integer value used to encode the LALOAD instruction.
    See Also:
      - Constant Field Values

  - ### FALOAD

    static final int FALOAD
    The integer value used to encode the FALOAD instruction.
    See Also:
      - Constant Field Values

  - ### DALOAD

    static final int DALOAD
    The integer value used to encode the DALOAD instruction.
    See Also:
      - Constant Field Values

  - ### AALOAD

    static final int AALOAD
    The integer value used to encode the AALOAD instruction.
    See Also:
      - Constant Field Values

  - ### BALOAD

    static final int BALOAD
    The integer value used to encode the BALOAD instruction.
    See Also:
      - Constant Field Values

  - ### CALOAD

    static final int CALOAD
    The integer value used to encode the CALOAD instruction.
    See Also:
      - Constant Field Values

  - ### SALOAD

    static final int SALOAD
    The integer value used to encode the SALOAD instruction.
    See Also:
      - Constant Field Values

  - ### ISTORE

    static final int ISTORE
    The integer value used to encode the ISTORE instruction.
    See Also:
      - Constant Field Values

  - ### LSTORE

    static final int LSTORE
    The integer value used to encode the LSTORE instruction.
    See Also:
      - Constant Field Values

  - ### FSTORE

    static final int FSTORE
    The integer value used to encode the FSTORE instruction.
    See Also:
      - Constant Field Values

  - ### DSTORE

    static final int DSTORE
    The integer value used to encode the DSTORE instruction.
    See Also:
      - Constant Field Values

  - ### ASTORE

    static final int ASTORE
    The integer value used to encode the ASTORE instruction.
    See Also:
      - Constant Field Values

  - ### ISTORE_0

    static final int ISTORE_0
    The integer value used to encode the ISTORE_0 instruction.
    See Also:
      - Constant Field Values

  - ### ISTORE_1

    static final int ISTORE_1
    The integer value used to encode the ISTORE_1 instruction.
    See Also:
      - Constant Field Values

  - ### ISTORE_2

    static final int ISTORE_2
    The integer value used to encode the ISTORE_2 instruction.
    See Also:
      - Constant Field Values

  - ### ISTORE_3

    static final int ISTORE_3
    The integer value used to encode the ISTORE_3 instruction.
    See Also:
      - Constant Field Values

  - ### LSTORE_0

    static final int LSTORE_0
    The integer value used to encode the LSTORE_0 instruction.
    See Also:
      - Constant Field Values

  - ### LSTORE_1

    static final int LSTORE_1
    The integer value used to encode the LSTORE_1 instruction.
    See Also:
      - Constant Field Values

  - ### LSTORE_2

    static final int LSTORE_2
    The integer value used to encode the LSTORE_2 instruction.
    See Also:
      - Constant Field Values

  - ### LSTORE_3

    static final int LSTORE_3
    The integer value used to encode the LSTORE_3 instruction.
    See Also:
      - Constant Field Values

  - ### FSTORE_0

    static final int FSTORE_0
    The integer value used to encode the FSTORE_0 instruction.
    See Also:
      - Constant Field Values

  - ### FSTORE_1

    static final int FSTORE_1
    The integer value used to encode the FSTORE_1 instruction.
    See Also:
      - Constant Field Values

  - ### FSTORE_2

    static final int FSTORE_2
    The integer value used to encode the FSTORE_2 instruction.
    See Also:
      - Constant Field Values

  - ### FSTORE_3

    static final int FSTORE_3
    The integer value used to encode the FSTORE_3 instruction.
    See Also:
      - Constant Field Values

  - ### DSTORE_0

    static final int DSTORE_0
    The integer value used to encode the DSTORE_0 instruction.
    See Also:
      - Constant Field Values

  - ### DSTORE_1

    static final int DSTORE_1
    The integer value used to encode the DSTORE_1 instruction.
    See Also:
      - Constant Field Values

  - ### DSTORE_2

    static final int DSTORE_2
    The integer value used to encode the DSTORE_2 instruction.
    See Also:
      - Constant Field Values

  - ### DSTORE_3

    static final int DSTORE_3
    The integer value used to encode the DSTORE_3 instruction.
    See Also:
      - Constant Field Values

  - ### ASTORE_0

    static final int ASTORE_0
    The integer value used to encode the ASTORE_0 instruction.
    See Also:
      - Constant Field Values

  - ### ASTORE_1

    static final int ASTORE_1
    The integer value used to encode the ASTORE_1 instruction.
    See Also:
      - Constant Field Values

  - ### ASTORE_2

    static final int ASTORE_2
    The integer value used to encode the ASTORE_2 instruction.
    See Also:
      - Constant Field Values

  - ### ASTORE_3

    static final int ASTORE_3
    The integer value used to encode the ASTORE_3 instruction.
    See Also:
      - Constant Field Values

  - ### IASTORE

    static final int IASTORE
    The integer value used to encode the IASTORE instruction.
    See Also:
      - Constant Field Values

  - ### LASTORE

    static final int LASTORE
    The integer value used to encode the LASTORE instruction.
    See Also:
      - Constant Field Values

  - ### FASTORE

    static final int FASTORE
    The integer value used to encode the FASTORE instruction.
    See Also:
      - Constant Field Values

  - ### DASTORE

    static final int DASTORE
    The integer value used to encode the DASTORE instruction.
    See Also:
      - Constant Field Values

  - ### AASTORE

    static final int AASTORE
    The integer value used to encode the AASTORE instruction.
    See Also:
      - Constant Field Values

  - ### BASTORE

    static final int BASTORE
    The integer value used to encode the BASTORE instruction.
    See Also:
      - Constant Field Values

  - ### CASTORE

    static final int CASTORE
    The integer value used to encode the CASTORE instruction.
    See Also:
      - Constant Field Values

  - ### SASTORE

    static final int SASTORE
    The integer value used to encode the SASTORE instruction.
    See Also:
      - Constant Field Values

  - ### POP

    static final int POP
    The integer value used to encode the POP instruction.
    See Also:
      - Constant Field Values

  - ### POP2

    static final int POP2
    The integer value used to encode the POP2 instruction.
    See Also:
      - Constant Field Values

  - ### DUP

    static final int DUP
    The integer value used to encode the DUP instruction.
    See Also:
      - Constant Field Values

  - ### DUP_X1

    static final int DUP_X1
    The integer value used to encode the DUP_X1 instruction.
    See Also:
      - Constant Field Values

  - ### DUP_X2

    static final int DUP_X2
    The integer value used to encode the DUP_X2 instruction.
    See Also:
      - Constant Field Values

  - ### DUP2

    static final int DUP2
    The integer value used to encode the DUP2 instruction.
    See Also:
      - Constant Field Values

  - ### DUP2_X1

    static final int DUP2_X1
    The integer value used to encode the DUP2_X1 instruction.
    See Also:
      - Constant Field Values

  - ### DUP2_X2

    static final int DUP2_X2
    The integer value used to encode the DUP2_X2 instruction.
    See Also:
      - Constant Field Values

  - ### SWAP

    static final int SWAP
    The integer value used to encode the SWAP instruction.
    See Also:
      - Constant Field Values

  - ### IADD

    static final int IADD
    The integer value used to encode the IADD instruction.
    See Also:
      - Constant Field Values

  - ### LADD

    static final int LADD
    The integer value used to encode the LADD instruction.
    See Also:
      - Constant Field Values

  - ### FADD

    static final int FADD
    The integer value used to encode the FADD instruction.
    See Also:
      - Constant Field Values

  - ### DADD

    static final int DADD
    The integer value used to encode the DADD instruction.
    See Also:
      - Constant Field Values

  - ### ISUB

    static final int ISUB
    The integer value used to encode the ISUB instruction.
    See Also:
      - Constant Field Values

  - ### LSUB

    static final int LSUB
    The integer value used to encode the LSUB instruction.
    See Also:
      - Constant Field Values

  - ### FSUB

    static final int FSUB
    The integer value used to encode the FSUB instruction.
    See Also:
      - Constant Field Values

  - ### DSUB

    static final int DSUB
    The integer value used to encode the DSUB instruction.
    See Also:
      - Constant Field Values

  - ### IMUL

    static final int IMUL
    The integer value used to encode the IMUL instruction.
    See Also:
      - Constant Field Values

  - ### LMUL

    static final int LMUL
    The integer value used to encode the LMUL instruction.
    See Also:
      - Constant Field Values

  - ### FMUL

    static final int FMUL
    The integer value used to encode the FMUL instruction.
    See Also:
      - Constant Field Values

  - ### DMUL

    static final int DMUL
    The integer value used to encode the DMUL instruction.
    See Also:
      - Constant Field Values

  - ### IDIV

    static final int IDIV
    The integer value used to encode the IDIV instruction.
    See Also:
      - Constant Field Values

  - ### LDIV

    static final int LDIV
    The integer value used to encode the LDIV instruction.
    See Also:
      - Constant Field Values

  - ### FDIV

    static final int FDIV
    The integer value used to encode the FDIV instruction.
    See Also:
      - Constant Field Values

  - ### DDIV

    static final int DDIV
    The integer value used to encode the DDIV instruction.
    See Also:
      - Constant Field Values

  - ### IREM

    static final int IREM
    The integer value used to encode the IREM instruction.
    See Also:
      - Constant Field Values

  - ### LREM

    static final int LREM
    The integer value used to encode the LREM instruction.
    See Also:
      - Constant Field Values

  - ### FREM

    static final int FREM
    The integer value used to encode the FREM instruction.
    See Also:
      - Constant Field Values

  - ### DREM

    static final int DREM
    The integer value used to encode the DREM instruction.
    See Also:
      - Constant Field Values

  - ### INEG

    static final int INEG
    The integer value used to encode the INEG instruction.
    See Also:
      - Constant Field Values

  - ### LNEG

    static final int LNEG
    The integer value used to encode the LNEG instruction.
    See Also:
      - Constant Field Values

  - ### FNEG

    static final int FNEG
    The integer value used to encode the FNEG instruction.
    See Also:
      - Constant Field Values

  - ### DNEG

    static final int DNEG
    The integer value used to encode the DNEG instruction.
    See Also:
      - Constant Field Values

  - ### ISHL

    static final int ISHL
    The integer value used to encode the ISHL instruction.
    See Also:
      - Constant Field Values

  - ### LSHL

    static final int LSHL
    The integer value used to encode the LSHL instruction.
    See Also:
      - Constant Field Values

  - ### ISHR

    static final int ISHR
    The integer value used to encode the ISHR instruction.
    See Also:
      - Constant Field Values

  - ### LSHR

    static final int LSHR
    The integer value used to encode the LSHR instruction.
    See Also:
      - Constant Field Values

  - ### IUSHR

    static final int IUSHR
    The integer value used to encode the IUSHR instruction.
    See Also:
      - Constant Field Values

  - ### LUSHR

    static final int LUSHR
    The integer value used to encode the LUSHR instruction.
    See Also:
      - Constant Field Values

  - ### IAND

    static final int IAND
    The integer value used to encode the IAND instruction.
    See Also:
      - Constant Field Values

  - ### LAND

    static final int LAND
    The integer value used to encode the LAND instruction.
    See Also:
      - Constant Field Values

  - ### IOR

    static final int IOR
    The integer value used to encode the IOR instruction.
    See Also:
      - Constant Field Values

  - ### LOR

    static final int LOR
    The integer value used to encode the LOR instruction.
    See Also:
      - Constant Field Values

  - ### IXOR

    static final int IXOR
    The integer value used to encode the IXOR instruction.
    See Also:
      - Constant Field Values

  - ### LXOR

    static final int LXOR
    The integer value used to encode the LXOR instruction.
    See Also:
      - Constant Field Values

  - ### IINC

    static final int IINC
    The integer value used to encode the IINC instruction.
    See Also:
      - Constant Field Values

  - ### I2L

    static final int I2L
    The integer value used to encode the I2L instruction.
    See Also:
      - Constant Field Values

  - ### I2F

    static final int I2F
    The integer value used to encode the I2F instruction.
    See Also:
      - Constant Field Values

  - ### I2D

    static final int I2D
    The integer value used to encode the I2D instruction.
    See Also:
      - Constant Field Values

  - ### L2I

    static final int L2I
    The integer value used to encode the L2I instruction.
    See Also:
      - Constant Field Values

  - ### L2F

    static final int L2F
    The integer value used to encode the L2F instruction.
    See Also:
      - Constant Field Values

  - ### L2D

    static final int L2D
    The integer value used to encode the L2D instruction.
    See Also:
      - Constant Field Values

  - ### F2I

    static final int F2I
    The integer value used to encode the F2I instruction.
    See Also:
      - Constant Field Values

  - ### F2L

    static final int F2L
    The integer value used to encode the F2L instruction.
    See Also:
      - Constant Field Values

  - ### F2D

    static final int F2D
    The integer value used to encode the F2D instruction.
    See Also:
      - Constant Field Values

  - ### D2I

    static final int D2I
    The integer value used to encode the D2I instruction.
    See Also:
      - Constant Field Values

  - ### D2L

    static final int D2L
    The integer value used to encode the D2L instruction.
    See Also:
      - Constant Field Values

  - ### D2F

    static final int D2F
    The integer value used to encode the D2F instruction.
    See Also:
      - Constant Field Values

  - ### I2B

    static final int I2B
    The integer value used to encode the I2B instruction.
    See Also:
      - Constant Field Values

  - ### I2C

    static final int I2C
    The integer value used to encode the I2C instruction.
    See Also:
      - Constant Field Values

  - ### I2S

    static final int I2S
    The integer value used to encode the I2S instruction.
    See Also:
      - Constant Field Values

  - ### LCMP

    static final int LCMP
    The integer value used to encode the LCMP instruction.
    See Also:
      - Constant Field Values

  - ### FCMPL

    static final int FCMPL
    The integer value used to encode the FCMPL instruction.
    See Also:
      - Constant Field Values

  - ### FCMPG

    static final int FCMPG
    The integer value used to encode the FCMPG instruction.
    See Also:
      - Constant Field Values

  - ### DCMPL

    static final int DCMPL
    The integer value used to encode the DCMPL instruction.
    See Also:
      - Constant Field Values

  - ### DCMPG

    static final int DCMPG
    The integer value used to encode the DCMPG instruction.
    See Also:
      - Constant Field Values

  - ### IFEQ

    static final int IFEQ
    The integer value used to encode the IFEQ instruction.
    See Also:
      - Constant Field Values

  - ### IFNE

    static final int IFNE
    The integer value used to encode the IFNE instruction.
    See Also:
      - Constant Field Values

  - ### IFLT

    static final int IFLT
    The integer value used to encode the IFLT instruction.
    See Also:
      - Constant Field Values

  - ### IFGE

    static final int IFGE
    The integer value used to encode the IFGE instruction.
    See Also:
      - Constant Field Values

  - ### IFGT

    static final int IFGT
    The integer value used to encode the IFGT instruction.
    See Also:
      - Constant Field Values

  - ### IFLE

    static final int IFLE
    The integer value used to encode the IFLE instruction.
    See Also:
      - Constant Field Values

  - ### IF_ICMPEQ

    static final int IF_ICMPEQ
    The integer value used to encode the IF_ICMPEQ instruction.
    See Also:
      - Constant Field Values

  - ### IF_ICMPNE

    static final int IF_ICMPNE
    The integer value used to encode the IF_ICMPNE instruction.
    See Also:
      - Constant Field Values

  - ### IF_ICMPLT

    static final int IF_ICMPLT
    The integer value used to encode the IF_ICMPLT instruction.
    See Also:
      - Constant Field Values

  - ### IF_ICMPGE

    static final int IF_ICMPGE
    The integer value used to encode the IF_ICMPGE instruction.
    See Also:
      - Constant Field Values

  - ### IF_ICMPGT

    static final int IF_ICMPGT
    The integer value used to encode the IF_ICMPGT instruction.
    See Also:
      - Constant Field Values

  - ### IF_ICMPLE

    static final int IF_ICMPLE
    The integer value used to encode the IF_ICMPLE instruction.
    See Also:
      - Constant Field Values

  - ### IF_ACMPEQ

    static final int IF_ACMPEQ
    The integer value used to encode the IF_ACMPEQ instruction.
    See Also:
      - Constant Field Values

  - ### IF_ACMPNE

    static final int IF_ACMPNE
    The integer value used to encode the IF_ACMPNE instruction.
    See Also:
      - Constant Field Values

  - ### GOTO

    static final int GOTO
    The integer value used to encode the GOTO instruction.
    See Also:
      - Constant Field Values

  - ### JSR

    static final int JSR
    The integer value used to encode the JSR instruction.
    See Also:
      - Constant Field Values

  - ### RET

    static final int RET
    The integer value used to encode the RET instruction.
    See Also:
      - Constant Field Values

  - ### TABLESWITCH

    static final int TABLESWITCH
    The integer value used to encode the TABLESWITCH instruction.
    See Also:
      - Constant Field Values

  - ### LOOKUPSWITCH

    static final int LOOKUPSWITCH
    The integer value used to encode the LOOKUPSWITCH instruction.
    See Also:
      - Constant Field Values

  - ### IRETURN

    static final int IRETURN
    The integer value used to encode the IRETURN instruction.
    See Also:
      - Constant Field Values

  - ### LRETURN

    static final int LRETURN
    The integer value used to encode the LRETURN instruction.
    See Also:
      - Constant Field Values

  - ### FRETURN

    static final int FRETURN
    The integer value used to encode the FRETURN instruction.
    See Also:
      - Constant Field Values

  - ### DRETURN

    static final int DRETURN
    The integer value used to encode the DRETURN instruction.
    See Also:
      - Constant Field Values

  - ### ARETURN

    static final int ARETURN
    The integer value used to encode the ARETURN instruction.
    See Also:
      - Constant Field Values

  - ### RETURN

    static final int RETURN
    The integer value used to encode the RETURN instruction.
    See Also:
      - Constant Field Values

  - ### GETSTATIC

    static final int GETSTATIC
    The integer value used to encode the GETSTATIC instruction.
    See Also:
      - Constant Field Values

  - ### PUTSTATIC

    static final int PUTSTATIC
    The integer value used to encode the PUTSTATIC instruction.
    See Also:
      - Constant Field Values

  - ### GETFIELD

    static final int GETFIELD
    The integer value used to encode the GETFIELD instruction.
    See Also:
      - Constant Field Values

  - ### PUTFIELD

    static final int PUTFIELD
    The integer value used to encode the PUTFIELD instruction.
    See Also:
      - Constant Field Values

  - ### INVOKEVIRTUAL

    static final int INVOKEVIRTUAL
    The integer value used to encode the INVOKEVIRTUAL instruction.
    See Also:
      - Constant Field Values

  - ### INVOKESPECIAL

    static final int INVOKESPECIAL
    The integer value used to encode the INVOKESPECIAL instruction.
    See Also:
      - Constant Field Values

  - ### INVOKESTATIC

    static final int INVOKESTATIC
    The integer value used to encode the INVOKESTATIC instruction.
    See Also:
      - Constant Field Values

  - ### INVOKEINTERFACE

    static final int INVOKEINTERFACE
    The integer value used to encode the INVOKEINTERFACE instruction.
    See Also:
      - Constant Field Values

  - ### INVOKEDYNAMIC

    static final int INVOKEDYNAMIC
    The integer value used to encode the INVOKEDYNAMIC instruction.
    See Also:
      - Constant Field Values

  - ### NEW

    static final int NEW
    The integer value used to encode the NEW instruction.
    See Also:
      - Constant Field Values

  - ### NEWARRAY

    static final int NEWARRAY
    The integer value used to encode the NEWARRAY instruction.
    See Also:
      - Constant Field Values

  - ### ANEWARRAY

    static final int ANEWARRAY
    The integer value used to encode the ANEWARRAY instruction.
    See Also:
      - Constant Field Values

  - ### ARRAYLENGTH

    static final int ARRAYLENGTH
    The integer value used to encode the ARRAYLENGTH instruction.
    See Also:
      - Constant Field Values

  - ### ATHROW

    static final int ATHROW
    The integer value used to encode the ATHROW instruction.
    See Also:
      - Constant Field Values

  - ### CHECKCAST

    static final int CHECKCAST
    The integer value used to encode the CHECKCAST instruction.
    See Also:
      - Constant Field Values

  - ### INSTANCEOF

    static final int INSTANCEOF
    The integer value used to encode the INSTANCEOF instruction.
    See Also:
      - Constant Field Values

  - ### MONITORENTER

    static final int MONITORENTER
    The integer value used to encode the MONITORENTER instruction.
    See Also:
      - Constant Field Values

  - ### MONITOREXIT

    static final int MONITOREXIT
    The integer value used to encode the MONITOREXIT instruction.
    See Also:
      - Constant Field Values

  - ### WIDE

    static final int WIDE
    The integer value used to encode the WIDE instruction.
    See Also:
      - Constant Field Values

  - ### MULTIANEWARRAY

    static final int MULTIANEWARRAY
    The integer value used to encode the MULTIANEWARRAY instruction.
    See Also:
      - Constant Field Values

  - ### IFNULL

    static final int IFNULL
    The integer value used to encode the IFNULL instruction.
    See Also:
      - Constant Field Values

  - ### IFNONNULL

    static final int IFNONNULL
    The integer value used to encode the IFNONNULL instruction.
    See Also:
      - Constant Field Values

  - ### GOTO_W

    static final int GOTO_W
    The integer value used to encode the GOTO_W instruction.
    See Also:
      - Constant Field Values

  - ### JSR_W

    static final int JSR_W
    The integer value used to encode the JSR_W instruction.
    See Also:
      - Constant Field Values

  - ### ACC_PUBLIC

    static final int ACC_PUBLIC
    The value of PUBLIC access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_PROTECTED

    static final int ACC_PROTECTED
    The value of PROTECTED access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_PRIVATE

    static final int ACC_PRIVATE
    The value of PRIVATE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_INTERFACE

    static final int ACC_INTERFACE
    The value of INTERFACE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_ENUM

    static final int ACC_ENUM
    The value of ENUM access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_ANNOTATION

    static final int ACC_ANNOTATION
    The value of ANNOTATION access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_SUPER

    static final int ACC_SUPER
    The value of SUPER access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_ABSTRACT

    static final int ACC_ABSTRACT
    The value of ABSTRACT access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_VOLATILE

    static final int ACC_VOLATILE
    The value of VOLATILE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_TRANSIENT

    static final int ACC_TRANSIENT
    The value of TRANSIENT access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_SYNTHETIC

    static final int ACC_SYNTHETIC
    The value of SYNTHETIC access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_STATIC

    static final int ACC_STATIC
    The value of STATIC access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_FINAL

    static final int ACC_FINAL
    The value of FINAL access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_SYNCHRONIZED

    static final int ACC_SYNCHRONIZED
    The value of SYNCHRONIZED access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_BRIDGE

    static final int ACC_BRIDGE
    The value of BRIDGE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_VARARGS

    static final int ACC_VARARGS
    The value of VARARGS access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_NATIVE

    static final int ACC_NATIVE
    The value of NATIVE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_STRICT

    static final int ACC_STRICT
    The value of STRICT access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_MODULE

    static final int ACC_MODULE
    The value of MODULE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_OPEN

    static final int ACC_OPEN
    The value of OPEN access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_MANDATED

    static final int ACC_MANDATED
    The value of MANDATED access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_TRANSITIVE

    static final int ACC_TRANSITIVE
    The value of TRANSITIVE access and property modifier.
    See Also:
      - Constant Field Values

  - ### ACC_STATIC_PHASE

    static final int ACC_STATIC_PHASE
    The value of STATIC_PHASE access and property modifier.
    See Also:
      - Constant Field Values

  - ### CRT_STATEMENT

    static final int CRT_STATEMENT
    The value of STATEMENT `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_BLOCK

    static final int CRT_BLOCK
    The value of BLOCK `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_ASSIGNMENT

    static final int CRT_ASSIGNMENT
    The value of ASSIGNMENT `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_FLOW_CONTROLLER

    static final int CRT_FLOW_CONTROLLER
    The value of FLOW_CONTROLLER `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_FLOW_TARGET

    static final int CRT_FLOW_TARGET
    The value of FLOW_TARGET `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_INVOKE

    static final int CRT_INVOKE
    The value of INVOKE `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_CREATE

    static final int CRT_CREATE
    The value of CREATE `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_BRANCH_TRUE

    static final int CRT_BRANCH_TRUE
    The value of BRANCH_TRUE `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### CRT_BRANCH_FALSE

    static final int CRT_BRANCH_FALSE
    The value of BRANCH_FALSE `CharacterRangeInfo`PREVIEW kind.
    See Also:
      - Constant Field Values

  - ### TAG_CLASS

    static final int TAG_CLASS
    The value of constant pool tag CLASS.
    See Also:
      - Constant Field Values

  - ### TAG_CONSTANTDYNAMIC

    static final int TAG_CONSTANTDYNAMIC
    The value of constant pool tag CONSTANTDYNAMIC.
    See Also:
      - Constant Field Values

  - ### TAG_DOUBLE

    static final int TAG_DOUBLE
    The value of constant pool tag DOUBLE.
    See Also:
      - Constant Field Values

  - ### TAG_FIELDREF

    static final int TAG_FIELDREF
    The value of constant pool tag FIELDREF.
    See Also:
      - Constant Field Values

  - ### TAG_FLOAT

    static final int TAG_FLOAT
    The value of constant pool tag FLOAT.
    See Also:
      - Constant Field Values

  - ### TAG_INTEGER

    static final int TAG_INTEGER
    The value of constant pool tag INTEGER.
    See Also:
      - Constant Field Values

  - ### TAG_INTERFACEMETHODREF

    static final int TAG_INTERFACEMETHODREF
    The value of constant pool tag INTERFACEMETHODREF.
    See Also:
      - Constant Field Values

  - ### TAG_INVOKEDYNAMIC

    static final int TAG_INVOKEDYNAMIC
    The value of constant pool tag INVOKEDYNAMIC.
    See Also:
      - Constant Field Values

  - ### TAG_LONG

    static final int TAG_LONG
    The value of constant pool tag LONG.
    See Also:
      - Constant Field Values

  - ### TAG_METHODHANDLE

    static final int TAG_METHODHANDLE
    The value of constant pool tag METHODHANDLE.
    See Also:
      - Constant Field Values

  - ### TAG_METHODREF

    static final int TAG_METHODREF
    The value of constant pool tag METHODREF.
    See Also:
      - Constant Field Values

  - ### TAG_METHODTYPE

    static final int TAG_METHODTYPE
    The value of constant pool tag METHODTYPE.
    See Also:
      - Constant Field Values

  - ### TAG_MODULE

    static final int TAG_MODULE
    The value of constant pool tag MODULE.
    See Also:
      - Constant Field Values

  - ### TAG_NAMEANDTYPE

    static final int TAG_NAMEANDTYPE
    The value of constant pool tag NAMEANDTYPE.
    See Also:
      - Constant Field Values

  - ### TAG_PACKAGE

    static final int TAG_PACKAGE
    The value of constant pool tag PACKAGE.
    See Also:
      - Constant Field Values

  - ### TAG_STRING

    static final int TAG_STRING
    The value of constant pool tag STRING.
    See Also:
      - Constant Field Values

  - ### TAG_UNICODE

    static final int TAG_UNICODE
    The value of constant pool tag UNICODE.
    See Also:
      - Constant Field Values

  - ### TAG_UTF8

    static final int TAG_UTF8
    The value of constant pool tag UTF8.
    See Also:
      - Constant Field Values

  - ### AEV_BYTE

    static final int AEV_BYTE
    The value of annotation element value type AEV_BYTE.
    See Also:
      - Constant Field Values

  - ### AEV_CHAR

    static final int AEV_CHAR
    The value of annotation element value type AEV_CHAR.
    See Also:
      - Constant Field Values

  - ### AEV_DOUBLE

    static final int AEV_DOUBLE
    The value of annotation element value type AEV_DOUBLE.
    See Also:
      - Constant Field Values

  - ### AEV_FLOAT

    static final int AEV_FLOAT
    The value of annotation element value type AEV_FLOAT.
    See Also:
      - Constant Field Values

  - ### AEV_INT

    static final int AEV_INT
    The value of annotation element value type AEV_INT.
    See Also:
      - Constant Field Values

  - ### AEV_LONG

    static final int AEV_LONG
    The value of annotation element value type AEV_LONG.
    See Also:
      - Constant Field Values

  - ### AEV_SHORT

    static final int AEV_SHORT
    The value of annotation element value type AEV_SHORT.
    See Also:
      - Constant Field Values

  - ### AEV_BOOLEAN

    static final int AEV_BOOLEAN
    The value of annotation element value type AEV_BOOLEAN.
    See Also:
      - Constant Field Values

  - ### AEV_STRING

    static final int AEV_STRING
    The value of annotation element value type AEV_STRING.
    See Also:
      - Constant Field Values

  - ### AEV_ENUM

    static final int AEV_ENUM
    The value of annotation element value type AEV_ENUM.
    See Also:
      - Constant Field Values

  - ### AEV_CLASS

    static final int AEV_CLASS
    The value of annotation element value type AEV_CLASS.
    See Also:
      - Constant Field Values

  - ### AEV_ANNOTATION

    static final int AEV_ANNOTATION
    The value of annotation element value type AEV_ANNOTATION.
    See Also:
      - Constant Field Values

  - ### AEV_ARRAY

    static final int AEV_ARRAY
    The value of annotation element value type AEV_ARRAY.
    See Also:
      - Constant Field Values

  - ### TAT_CLASS_TYPE_PARAMETER

    static final int TAT_CLASS_TYPE_PARAMETER
    The value of type annotation target type CLASS_TYPE_PARAMETER.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_TYPE_PARAMETER

    static final int TAT_METHOD_TYPE_PARAMETER
    The value of type annotation target type METHOD_TYPE_PARAMETER.
    See Also:
      - Constant Field Values

  - ### TAT_CLASS_EXTENDS

    static final int TAT_CLASS_EXTENDS
    The value of type annotation target type CLASS_EXTENDS.
    See Also:
      - Constant Field Values

  - ### TAT_CLASS_TYPE_PARAMETER_BOUND

    static final int TAT_CLASS_TYPE_PARAMETER_BOUND
    The value of type annotation target type CLASS_TYPE_PARAMETER_BOUND.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_TYPE_PARAMETER_BOUND

    static final int TAT_METHOD_TYPE_PARAMETER_BOUND
    The value of type annotation target type METHOD_TYPE_PARAMETER_BOUND.
    See Also:
      - Constant Field Values

  - ### TAT_FIELD

    static final int TAT_FIELD
    The value of type annotation target type FIELD.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_RETURN

    static final int TAT_METHOD_RETURN
    The value of type annotation target type METHOD_RETURN.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_RECEIVER

    static final int TAT_METHOD_RECEIVER
    The value of type annotation target type METHOD_RECEIVER.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_FORMAL_PARAMETER

    static final int TAT_METHOD_FORMAL_PARAMETER
    The value of type annotation target type METHOD_FORMAL_PARAMETER.
    See Also:
      - Constant Field Values

  - ### TAT_THROWS

    static final int TAT_THROWS
    The value of type annotation target type THROWS.
    See Also:
      - Constant Field Values

  - ### TAT_LOCAL_VARIABLE

    static final int TAT_LOCAL_VARIABLE
    The value of type annotation target type LOCAL_VARIABLE.
    See Also:
      - Constant Field Values

  - ### TAT_RESOURCE_VARIABLE

    static final int TAT_RESOURCE_VARIABLE
    The value of type annotation target type RESOURCE_VARIABLE.
    See Also:
      - Constant Field Values

  - ### TAT_EXCEPTION_PARAMETER

    static final int TAT_EXCEPTION_PARAMETER
    The value of type annotation target type EXCEPTION_PARAMETER.
    See Also:
      - Constant Field Values

  - ### TAT_INSTANCEOF

    static final int TAT_INSTANCEOF
    The value of type annotation target type INSTANCEOF.
    See Also:
      - Constant Field Values

  - ### TAT_NEW

    static final int TAT_NEW
    The value of type annotation target type NEW.
    See Also:
      - Constant Field Values

  - ### TAT_CONSTRUCTOR_REFERENCE

    static final int TAT_CONSTRUCTOR_REFERENCE
    The value of type annotation target type CONSTRUCTOR_REFERENCE.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_REFERENCE

    static final int TAT_METHOD_REFERENCE
    The value of type annotation target type METHOD_REFERENCE.
    See Also:
      - Constant Field Values

  - ### TAT_CAST

    static final int TAT_CAST
    The value of type annotation target type CAST.
    See Also:
      - Constant Field Values

  - ### TAT_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT

    static final int TAT_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT
    The value of type annotation target type CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_INVOCATION_TYPE_ARGUMENT

    static final int TAT_METHOD_INVOCATION_TYPE_ARGUMENT
    The value of type annotation target type METHOD_INVOCATION_TYPE_ARGUMENT.
    See Also:
      - Constant Field Values

  - ### TAT_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT

    static final int TAT_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT
    The value of type annotation target type CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT.
    See Also:
      - Constant Field Values

  - ### TAT_METHOD_REFERENCE_TYPE_ARGUMENT

    static final int TAT_METHOD_REFERENCE_TYPE_ARGUMENT
    The value of type annotation target type METHOD_REFERENCE_TYPE_ARGUMENT.
    See Also:
      - Constant Field Values

  - ### VT_TOP

    static final int VT_TOP
    The value of verification type TOP.
    See Also:
      - Constant Field Values

  - ### VT_INTEGER

    static final int VT_INTEGER
    The value of verification type INTEGER.
    See Also:
      - Constant Field Values

  - ### VT_FLOAT

    static final int VT_FLOAT
    The value of verification type FLOAT.
    See Also:
      - Constant Field Values

  - ### VT_DOUBLE

    static final int VT_DOUBLE
    The value of verification type DOUBLE.
    See Also:
      - Constant Field Values

  - ### VT_LONG

    static final int VT_LONG
    The value of verification type LONG.
    See Also:
      - Constant Field Values

  - ### VT_NULL

    static final int VT_NULL
    The value of verification type NULL.
    See Also:
      - Constant Field Values

  - ### VT_UNINITIALIZED_THIS

    static final int VT_UNINITIALIZED_THIS
    The value of verification type UNINITIALIZED_THIS.
    See Also:
      - Constant Field Values

  - ### VT_OBJECT

    static final int VT_OBJECT
    The value of verification type OBJECT.
    See Also:
      - Constant Field Values

  - ### VT_UNINITIALIZED

    static final int VT_UNINITIALIZED
    The value of verification type UNINITIALIZED.
    See Also:
      - Constant Field Values

  - ### DEFAULT_CLASS_FLAGS

    static final int DEFAULT_CLASS_FLAGS
    The value of default class access flags
    See Also:
      - Constant Field Values

  - ### JAVA_1_VERSION

    static final int JAVA_1_VERSION
    The class major version of JAVA_1.
    See Also:
      - Constant Field Values

  - ### JAVA_2_VERSION

    static final int JAVA_2_VERSION
    The class major version of JAVA_2.
    See Also:
      - Constant Field Values

  - ### JAVA_3_VERSION

    static final int JAVA_3_VERSION
    The class major version of JAVA_3.
    See Also:
      - Constant Field Values

  - ### JAVA_4_VERSION

    static final int JAVA_4_VERSION
    The class major version of JAVA_4.
    See Also:
      - Constant Field Values

  - ### JAVA_5_VERSION

    static final int JAVA_5_VERSION
    The class major version of JAVA_5.
    See Also:
      - Constant Field Values

  - ### JAVA_6_VERSION

    static final int JAVA_6_VERSION
    The class major version of JAVA_6.
    See Also:
      - Constant Field Values

  - ### JAVA_7_VERSION

    static final int JAVA_7_VERSION
    The class major version of JAVA_7.
    See Also:
      - Constant Field Values

  - ### JAVA_8_VERSION

    static final int JAVA_8_VERSION
    The class major version of JAVA_8.
    See Also:
      - Constant Field Values

  - ### JAVA_9_VERSION

    static final int JAVA_9_VERSION
    The class major version of JAVA_9.
    See Also:
      - Constant Field Values

  - ### JAVA_10_VERSION

    static final int JAVA_10_VERSION
    The class major version of JAVA_10.
    See Also:
      - Constant Field Values

  - ### JAVA_11_VERSION

    static final int JAVA_11_VERSION
    The class major version of JAVA_11.
    See Also:
      - Constant Field Values

  - ### JAVA_12_VERSION

    static final int JAVA_12_VERSION
    The class major version of JAVA_12.
    See Also:
      - Constant Field Values

  - ### JAVA_13_VERSION

    static final int JAVA_13_VERSION
    The class major version of JAVA_13.
    See Also:
      - Constant Field Values

  - ### JAVA_14_VERSION

    static final int JAVA_14_VERSION
    The class major version of JAVA_14.
    See Also:
      - Constant Field Values

  - ### JAVA_15_VERSION

    static final int JAVA_15_VERSION
    The class major version of JAVA_15.
    See Also:
      - Constant Field Values

  - ### JAVA_16_VERSION

    static final int JAVA_16_VERSION
    The class major version of JAVA_16.
    See Also:
      - Constant Field Values

  - ### JAVA_17_VERSION

    static final int JAVA_17_VERSION
    The class major version of JAVA_17.
    See Also:
      - Constant Field Values

  - ### JAVA_18_VERSION

    static final int JAVA_18_VERSION
    The class major version of JAVA_18.
    See Also:
      - Constant Field Values

  - ### JAVA_19_VERSION

    static final int JAVA_19_VERSION
    The class major version of JAVA_19.
    See Also:
      - Constant Field Values

  - ### JAVA_20_VERSION

    static final int JAVA_20_VERSION
    The class major version of JAVA_20.
    See Also:
      - Constant Field Values

  - ### JAVA_21_VERSION

    static final int JAVA_21_VERSION
    The class major version of JAVA_21.
    See Also:
      - Constant Field Values

  - ### JAVA_22_VERSION

    static final int JAVA_22_VERSION
    The class major version of JAVA_22.
    See Also:
      - Constant Field Values

  - ### JAVA_23_VERSION

    static final int JAVA_23_VERSION
    The class major version of JAVA_23.
    Since:
      23
    See Also:
      - Constant Field Values

  - ### PREVIEW_MINOR_VERSION

    static final int PREVIEW_MINOR_VERSION
    A minor version number indicating a class uses preview features of a Java SE version since 12, for major versions 56 and above.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### of

    static ClassFilePREVIEW of()
    Returns a context with default options.
    Returns:
      a context with default options

  - ### of

    static ClassFilePREVIEW of(ClassFile.OptionPREVIEW... options)
    Returns a new context with options altered from the default.
    Parameters:
      `options` - the desired processing options
    Returns:
      a new context with options altered from the default

  - ### withOptions

    ClassFilePREVIEW withOptions(ClassFile.OptionPREVIEW... options)
    Returns a copy of the context with altered options.
    Parameters:
      `options` - the desired processing options
    Returns:
      a copy of the context with altered options

  - ### parse

    ClassModelPREVIEW parse(byte[] bytes)
    Parse a classfile into a `ClassModel`PREVIEW.
    Parameters:
      `bytes` - the bytes of the classfile
    Returns:
      the class model
    Throws:
      `IllegalArgumentException` - or its subclass if the classfile format is not supported or an incompatibility prevents parsing of the classfile

  - ### parse

    default ClassModelPREVIEW parse(Path path) throws IOException
    Parse a classfile into a `ClassModel`PREVIEW.
    Parameters:
      `path` - the path to the classfile
    Returns:
      the class model
    Throws:
      `IOException` - if an I/O error occurs
      `IllegalArgumentException` - or its subclass if the classfile format is not supported or an incompatibility prevents parsing of the classfile

  - ### build

    default byte[] build(ClassDesc thisClass, Consumer<? super ClassBuilderPREVIEW> handler)
    Build a classfile into a byte array.
    Parameters:
      `thisClass` - the name of the class to build
      `handler` - a handler that receives a `ClassBuilder`PREVIEW
    Returns:
      the classfile bytes
    Throws:
      `IllegalArgumentException` - if `thisClass` represents a primitive type

  - ### build

    byte[] build(ClassEntryPREVIEW thisClassEntry, ConstantPoolBuilderPREVIEW constantPool, Consumer<? super ClassBuilderPREVIEW> handler)
    Build a classfile into a byte array using the provided constant pool builder.
    Parameters:
      `thisClassEntry` - the name of the class to build
      `constantPool` - the constant pool builder
      `handler` - a handler that receives a `ClassBuilder`PREVIEW
    Returns:
      the classfile bytes

  - ### buildTo

    default void buildTo(Path path, ClassDesc thisClass, Consumer<ClassBuilderPREVIEW> handler) throws IOException
    Build a classfile into a file.
    Parameters:
      `path` - the path to the file to write
      `thisClass` - the name of the class to build
      `handler` - a handler that receives a `ClassBuilder`PREVIEW
    Throws:
      `IOException` - if an I/O error occurs

  - ### buildTo

    default void buildTo(Path path, ClassEntryPREVIEW thisClassEntry, ConstantPoolBuilderPREVIEW constantPool, Consumer<? super ClassBuilderPREVIEW> handler) throws IOException
    Build a classfile into a file using the provided constant pool builder.
    Parameters:
      `path` - the path to the file to write
      `thisClassEntry` - the name of the class to build
      `constantPool` - the constant pool builder
      `handler` - a handler that receives a `ClassBuilder`PREVIEW
    Throws:
      `IOException` - if an I/O error occurs

  - ### buildModule

    default byte[] buildModule(ModuleAttributePREVIEW moduleAttribute)
    Build a module descriptor into a byte array.
    Parameters:
      `moduleAttribute` - the `Module` attribute
    Returns:
      the classfile bytes

  - ### buildModule

    default byte[] buildModule(ModuleAttributePREVIEW moduleAttribute, Consumer<? super ClassBuilderPREVIEW> handler)
    Build a module descriptor into a byte array.
    Parameters:
      `moduleAttribute` - the `Module` attribute
      `handler` - a handler that receives a `ClassBuilder`PREVIEW
    Returns:
      the classfile bytes

  - ### buildModuleTo

    default void buildModuleTo(Path path, ModuleAttributePREVIEW moduleAttribute) throws IOException
    Build a module descriptor into a file.
    Parameters:
      `path` - the file to write
      `moduleAttribute` - the `Module` attribute
    Throws:
      `IOException` - if an I/O error occurs

  - ### buildModuleTo

    default void buildModuleTo(Path path, ModuleAttributePREVIEW moduleAttribute, Consumer<? super ClassBuilderPREVIEW> handler) throws IOException
    Build a module descriptor into a file.
    Parameters:
      `path` - the file to write
      `moduleAttribute` - the `Module` attribute
      `handler` - a handler that receives a `ClassBuilder`PREVIEW
    Throws:
      `IOException` - if an I/O error occurs

  - ### transform

    default byte[] transform(ClassModelPREVIEW model, ClassTransformPREVIEW transform)
    Transform one classfile into a new classfile with the aid of a `ClassTransform`PREVIEW. The transform will receive each element of this class, as well as a `ClassBuilder`PREVIEW for building the new class. The transform is free to preserve, remove, or replace elements as it sees fit.
    Implementation Note:
      This method behaves as if:

              this.build(model.thisClass(), ConstantPoolBuilder.of(model),
                              b -> b.transform(model, transform));

    Parameters:
      `model` - the class model to transform
      `transform` - the transform
    Returns:
      the bytes of the new class

  - ### transform

    default byte[] transform(ClassModelPREVIEW model, ClassDesc newClassName, ClassTransformPREVIEW transform)
    Transform one classfile into a new classfile with the aid of a `ClassTransform`PREVIEW. The transform will receive each element of this class, as well as a `ClassBuilder`PREVIEW for building the new class. The transform is free to preserve, remove, or replace elements as it sees fit.
    Parameters:
      `model` - the class model to transform
      `newClassName` - new class name
      `transform` - the transform
    Returns:
      the bytes of the new class

  - ### transform

    byte[] transform(ClassModelPREVIEW model, ClassEntryPREVIEW newClassName, ClassTransformPREVIEW transform)
    Transform one classfile into a new classfile with the aid of a `ClassTransform`PREVIEW. The transform will receive each element of this class, as well as a `ClassBuilder`PREVIEW for building the new class. The transform is free to preserve, remove, or replace elements as it sees fit.
    Implementation Note:
      This method behaves as if:

              this.build(newClassName, ConstantPoolBuilder.of(model),
                              b -> b.transform(model, transform));

    Parameters:
      `model` - the class model to transform
      `newClassName` - new class name
      `transform` - the transform
    Returns:
      the bytes of the new class

  - ### verify

    List<VerifyError> verify(ClassModelPREVIEW model)
    Verify a classfile. Any verification errors found will be returned.
    Parameters:
      `model` - the class model to verify
    Returns:
      a list of verification errors, or an empty list if no errors are found

  - ### verify

    List<VerifyError> verify(byte[] bytes)
    Verify a classfile. Any verification errors found will be returned.
    Parameters:
      `bytes` - the classfile bytes to verify
    Returns:
      a list of verification errors, or an empty list if no errors are found

  - ### verify

    default List<VerifyError> verify(Path path) throws IOException
    Verify a classfile. Any verification errors found will be returned.
    Parameters:
      `path` - the classfile path to verify
    Returns:
      a list of verification errors, or an empty list if no errors are found
    Throws:
      `IOException` - if an I/O error occurs

  - ### latestMajorVersion

    static int latestMajorVersion()
    Returns the latest major Java version.
    Returns:
      the latest major Java version

  - ### latestMinorVersion

    static int latestMinorVersion()
    Returns the latest minor Java version.
    Returns:
      the latest minor Java version